Bug 1264327 - All RHEL-OSP SSA throws errors
All RHEL-OSP SSA throws errors
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Rich Oliveri
Thom Carlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 04:24 EDT by Milan Falešník
Modified: 2015-12-08 08:31 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Falešník 2015-09-18 04:24:08 EDT
Description of problem:
After running a SmartState Analysis against an image in RHOS, this error comes up in the message:


undefined method `gsub' for #<MiqOpenStackImage:0x0000000d6d7df8>


I ran this against RHOS 6 (I used CFME 5.3.4.2 image) and RHOS 7 (cirros image) both with the same result

Version-Release number of selected component (if applicable):
5.5.0.1-alpha1

How reproducible:
always

Steps to Reproduce:
1. Run a SmartState Analysis against an Openstack image

Actual results:
Error mentioned above

Expected results:
No error

Additional info:

[----] E, [2015-09-18T04:15:24.363431 #15551:f7f990] ERROR -- : Q-task_id([5085ada0-5ddd-11e5-a1d0-fa163eaed420]) MIQ(ManageIQ::Providers::Openstack::CloudManager::Template#scan_via_miq_vm) Scanmetadata Error - [undefined method `gsub' for #<MiqOpenStackImage:0x0000000d6d7df8>]
[----] E, [2015-09-18T04:15:24.363516 #15551:f7f990] ERROR -- : Q-task_id([5085ada0-5ddd-11e5-a1d0-fa163eaed420]) MIQ(ManageIQ::Providers::Openstack::CloudManager::Template#scan_via_miq_vm) Scanmetadata Error - [/var/www/miq/vmdb/gems/pending/OpenStackExtract/MiqOpenStackVm/MiqOpenStackImage.rb:91:in `method_missing'
/var/www/miq/vmdb/gems/pending/metadata/MIQExtract/MIQExtract.rb:44:in `initialize'
/var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:237:in `new'
/var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:237:in `scan_via_miq_vm'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/template.rb:32:in `perform_metadata_scan'
/var/www/miq/vmdb/app/models/miq_server/server_smart_proxy.rb:123:in `scan_metadata'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:89:in `block in timeout'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `block in catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:135:in `deliver_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:152:in `block in do_work'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `loop'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `do_work'
/var/www/miq/vmdb/lib/workers/worker_base.rb:329:in `block in do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:326:in `loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:326:in `do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:146:in `run'
/var/www/miq/vmdb/lib/workers/worker_base.rb:127:in `start'
/var/www/miq/vmdb/lib/workers/worker_base.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:3:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>']
Comment 2 Thom Carlin 2015-09-18 16:40:18 EDT
Also occurs on instance fleecing:
[----] E, [2015-09-18T16:29:20.049665 #17050:84998c] ERROR -- : Q-task_id([2abeb552-5e42-11e5-b603-fa163e614205]) MIQ(ManageIQ::Providers::Openstack::CloudManager::Vm#scan_via_miq_vm) Scanmetadata Error - [undefined method `gsub' for #<MiqOpenStackInstance:0x0000000676bc58>]
[----] E, [2015-09-18T16:29:20.049997 #17050:84998c] ERROR -- : Q-task_id([2abeb552-5e42-11e5-b603-fa163e614205]) MIQ(ManageIQ::Providers::Openstack::CloudManager::Vm#scan_via_miq_vm) Scanmetadata Error - [/var/www/miq/vmdb/gems/pending/OpenStackExtract/MiqOpenStackVm/MiqOpenStackInstance.rb:185:in `method_missing'
/var/www/miq/vmdb/gems/pending/metadata/MIQExtract/MIQExtract.rb:44:in `initialize'
/var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:237:in `new'
/var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:237:in `scan_via_miq_vm'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/vm.rb:39:in `perform_metadata_scan'
/var/www/miq/vmdb/app/models/miq_server/server_smart_proxy.rb:123:in `scan_metadata'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:89:in `block in timeout'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `block in catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:135:in `deliver_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:152:in `block in do_work'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `loop'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `do_work'
/var/www/miq/vmdb/lib/workers/worker_base.rb:329:in `block in do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:326:in `loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:326:in `do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:146:in `run'
/var/www/miq/vmdb/lib/workers/worker_base.rb:127:in `start'
/var/www/miq/vmdb/lib/workers/worker_base.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:3:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>']
Comment 3 CFME Bot 2015-10-12 16:26:05 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c3190ede4b6919b2ae00138bcedec791386b24f9

commit c3190ede4b6919b2ae00138bcedec791386b24f9
Author:     Milan Falešník <mfalesni@redhat.com>
AuthorDate: Mon Oct 12 16:05:00 2015 +0200
Commit:     Milan Falešník <mfalesni@redhat.com>
CommitDate: Mon Oct 12 17:32:09 2015 +0200

    Add missing respond_to_missing? in OpenStackExtract
    
    The code in ManageIQ checks for presence of supported methods by using respond_to? and the methods are defined in SUPPORTED_METHODS. method_missing routes it correctly (I assume), but if you ask the object using respond_to?, it will tell you that it does not know that method.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1264327

 gems/pending/OpenStackExtract/MiqOpenStackVm/MiqOpenStackImage.rb | 8 ++++++++
 .../OpenStackExtract/MiqOpenStackVm/MiqOpenStackInstance.rb       | 8 ++++++++
 2 files changed, 16 insertions(+)
Comment 5 Milan Falešník 2015-10-15 08:54:08 EDT
Checked in 5.5.0.6 build and the Openstack fleecing works again.
Comment 7 Dave Johnson 2015-11-17 09:44:16 EST
Looking better in 5.5.0.10
Comment 9 errata-xmlrpc 2015-12-08 08:31:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.